<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sun-cmp-mappings PUBLIC "-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 OR Mapping //EN" "http://www.sun.com/software/sunone/appserver/dtds/sun-cmp-mapping_1_0.dtd">
<sun-cmp-mappings>
  <sun-cmp-mapping>
    <schema>specjschema</schema>
    <entity-mapping>
      <ejb-name>CustomerInventoryEnt</ejb-name>
      <table-name>C_customerinventory</table-name>
      <cmp-field-mapping>
        <field-name>customerId</field-name>
        <column-name>C_customerinventory.ci_customerid</column-name>
        <fetched-with>
	  <default/>
	</fetched-with>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>value</field-name>
        <column-name>C_customerinventory.ci_value</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>itemId</field-name>
        <column-name>C_customerinventory.ci_itemid</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>C_customerinventory.ci_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>quantity</field-name>
        <column-name>C_customerinventory.ci_quantity</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>customer</cmr-field-name>
        <column-pair>
          <column-name>C_customerinventory.ci_customerid</column-name>
          <column-name>C_customer.c_id</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
      <consistency>
        <lock-when-loaded/>
      </consistency>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>CustomerEnt</ejb-name>
      <table-name>C_customer</table-name>
      <cmp-field-mapping>
        <field-name>contact</field-name>
        <column-name>C_customer.c_contact</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>creditLimit</field-name>
        <column-name>C_customer.c_credit_limit</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>state</field-name>
        <column-name>C_customer.c_state</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>zip</field-name>
        <column-name>C_customer.c_zip</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>phone</field-name>
        <column-name>C_customer.c_phone</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>credit</field-name>
        <column-name>C_customer.c_credit</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>since</field-name>
        <column-name>C_customer.c_since</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>ytdPayment</field-name>
        <column-name>C_customer.c_ytd_payment</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>street1</field-name>
        <column-name>C_customer.c_street1</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>balance</field-name>
        <column-name>C_customer.c_balance</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>firstName</field-name>
        <column-name>C_customer.c_first</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>lastName</field-name>
        <column-name>C_customer.c_last</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>street2</field-name>
        <column-name>C_customer.c_street2</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>country</field-name>
        <column-name>C_customer.c_country</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>city</field-name>
        <column-name>C_customer.c_city</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>customerId</field-name>
        <column-name>C_customer.c_id</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>customerInventoryEnt</cmr-field-name>
        <column-pair>
          <column-name>C_customer.c_id</column-name>
          <column-name>C_customerinventory.ci_customerid</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
      <consistency>
	 <!--<check-version-of-accessed-instances>
	 	<column-name>C_customer.oc_version</column-name>
	</check-version-of-accessed-instances>-->
	<lock-when-loaded/>
    </consistency>
    </entity-mapping>
  </sun-cmp-mapping>
</sun-cmp-mappings>
